Estimate Burn
curl --request POST \
--url https://api.example.com/api/v1/v1/assets/{public_id}/burn/estimate \
--header 'Content-Type: application/json' \
--data '
{
"codec": "<string>",
"crf": 25,
"preset": "<string>",
"max_height": 2192,
"fps": 120,
"target_size_mb": 1,
"target_max_mb": 1,
"audio_kbps": 528
}
'import requests
url = "https://api.example.com/api/v1/v1/assets/{public_id}/burn/estimate"
payload = {
"codec": "<string>",
"crf": 25,
"preset": "<string>",
"max_height": 2192,
"fps": 120,
"target_size_mb": 1,
"target_max_mb": 1,
"audio_kbps": 528
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
codec: '<string>',
crf: 25,
preset: '<string>',
max_height: 2192,
fps: 120,
target_size_mb: 1,
target_max_mb: 1,
audio_kbps: 528
})
};
fetch('https://api.example.com/api/v1/v1/assets/{public_id}/burn/estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}public-api
Estimate Burn
Sample-encode a few windows to tighten the export size estimate (jobs:create;
synchronous, produces no asset). H.265 sampling is gated on pro_codecs.
POST
/
api
/
v1
/
v1
/
assets
/
{public_id}
/
burn
/
estimate
Estimate Burn
Headers
Path Parameters
Body
application/json
Required range:
0 <= x <= 51Required range:
64 <= x <= 4320Required range:
0 < x <= 240Required range:
x > 0Required range:
x > 0Required range:
32 <= x <= 1024Response
Successful Response
The response is of type Response Estimate Burn Api V1 V1 Assets Public Id Burn Estimate Post · object.
⌘I